Package twisted :: Package protocols :: Module http :: Class HTTPClient

[frames | no frames]

## Class HTTPClient

    BaseProtocol --+
                   |
            Protocol --+
                       |
            LineReceiver --+
                           |
                          HTTPClient

Known Subclasses:
  `GoogleChecker`, `HTTPPageGetter`, `PassportLogin`, `PassportNexus`, `ProxyClient`, `QueryProtocol`, `ShoutcastClient`

A client for HTTP 1.0

Notes: You probably want to send a 'Host' header with the name of the site you're connecting to, in order to not break name based virtual hosting.

Method Summary
| `connectionLost(self, reason)`
| ``connectionMade`(self)` Called when a connection is made.
| `endHeaders(self)`
| `handleEndHeaders(*args)`
| `handleHeader(*args)`
| `handleResponseEnd(self)`
| `handleResponsePart(self, data)`
| `handleStatus(*args)`
| ``lineReceived`(self, line)` Override this for when each line is received.
| ``rawDataReceived`(self, data)` Override this for when raw data is received.
| `sendCommand(self, command, path)`
| `sendHeader(self, name, value)`
Inherited from LineReceiver
| ``clearLineBuffer`(self)` Clear buffered data.
| ``dataReceived`(self, data)` Protocol.dataReceived.
| ``lineLengthExceeded`(self, line)` Called when the maximum line length has been reached.
| ``sendLine`(self, line)` Sends a line to the other end of the connection.
| ``setLineMode`(self, extra)` Sets the line-mode of this receiver.
| ``setRawMode`(self)` Sets the raw mode of this receiver.
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.

Class Variable Summary
`str` | `_HTTPClient__buffer` = `''`
`int` | `firstLine` = 1
`NoneType` | `length` = None
Inherited from LineReceiver
`str` | `_LineReceiver__buffer` = `''`
`str` | `delimiter`: The line-ending delimiter to use.
`int` | `line_mode` = 1
`int` | `MAX_LENGTH`: The maximum length of a line to allow (If a sent line is longer than this, the connection is dropped).
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.internet.protocol.BaseProtocol.connectionMade` (inherited documentation)

### lineReceived(self, line)

Override this for when each line is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.lineReceived` (inherited documentation)

### rawDataReceived(self, data)

Override this for when raw data is received.

  Overrides:
    `twisted.protocols.basic.LineReceiver.rawDataReceived` (inherited documentation)

Class Variable Details

### _HTTPClient__buffer

  Type:
    `str`
  Value:

        ''

### firstLine

  Type:
    `int`
  Value:

        1

### length

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:19 2004 | http://epydoc.sf.net